# == Class: ifort
#
# Full description of class ifort here.
#
# === Parameters
#
# Document parameters here.
#
# [*sample_parameter*]
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. "Specify one or more upstream ntp servers as an array."
#
# === Variables
#
# Here you should define a list of variables that this module would require.
#
# [*sample_variable*]
#   Explanation of how this variable affects the funtion of this class and if
#   it has a default. e.g. "The parameter enc_ntp_servers must be set by the
#   External Node Classifier as a comma separated list of hostnames." (Note,
#   global variables should be avoided in favor of class parameters as
#   of Puppet 2.6.)
#
# === Examples
#
#  class { 'ifort':
#    servers => [ 'pool.ntp.org', 'ntp.local.company.com' ],
#  }
#
# === Authors
#
# Author Name <author@domain.com>
#
# === Copyright
#
# Copyright 2015 Your name here, unless otherwise noted.
#
class ifort (
  $dep_pkg_name               = $ifort::params::dep_pkg_name,
  $dep_pkg_ensure             = $ifort::params::dep_pkg_ensure,
  $dep_pkg_manage             = $ifort::params::dep_pkg_manage,
  $ifort_pkg_url              = $ifort::params::ifort_pkg_url,
  $ifort_pkg_path             = $ifort::params::ifort_pkg_path,
  $ifort_install_tmp_path     = $ifort::params::ifort_install_tmp_path,
  $ifort_install_dir_name     = $ifort::params::ifort_install_dir_name,
  $ifort_install_script_name  = $ifort::params::ifort_install_script_name,
  $ifort_silent_file_path     = $ifort::params::ifort_silent_file_path,
  $ifort_silent_file_tpl      = $ifort::params::ifort_silent_file_tpl,
  $ifort_lic_file_path        = $ifort::params::ifort_lic_file_path,
) inherits ifort::params {

  validate_absolute_path($ifort::ifort_pkg_path)
  validate_absolute_path($ifort::ifort_silent_file_path)
  validate_absolute_path($ifort::ifort_lic_file_path)

  include ifort::install

}
